options = {}

function think (self,player,params)	
	local fx,fy,fz = self.body:local2world(0,-.08,0)
	local x,y,z = self.body:pos()
	self.body:addforce(fx-x,fy-y,0)
	
	
	local rx,ry,rz = self.body:rotdeg()
	local vx,vy,vz = self.body:velocity()
	self.body:rotdeg((rx-self.rx)*.5+self.rx,
		(ry-self.ry)*.5+self.ry,
		(rz-self.rz)*.5+self.rz)
end

function getPreview()
	return {}
end
